创建聊天对话
curl --request POST \
--url https://api.aiid.edu.kg/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
],
"temperature": 1,
"top_p": 1,
"n": 1,
"stream": false,
"stream_options": {
"include_usage": true
},
"stop": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"response_format": {
"json_schema": {}
},
"seed": 123,
"modalities": [],
"audio": {
"voice": "<string>",
"format": "<string>"
}
}
'{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123
},
"completion_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123
}
},
"system_fingerprint": "<string>"
}OpenAI格式(Chat)
创建聊天对话
根据对话历史创建模型响应。支持流式和非流式响应。
兼容 OpenAI Chat Completions API。
POST
/
v1
/
chat
/
completions
创建聊天对话
curl --request POST \
--url https://api.aiid.edu.kg/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
],
"temperature": 1,
"top_p": 1,
"n": 1,
"stream": false,
"stream_options": {
"include_usage": true
},
"stop": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"response_format": {
"json_schema": {}
},
"seed": 123,
"modalities": [],
"audio": {
"voice": "<string>",
"format": "<string>"
}
}
'{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123
},
"completion_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123
}
},
"system_fingerprint": "<string>"
}授权
使用 Bearer Token 认证。
格式: Authorization: Bearer sk-xxxxxx
请求体
application/json
模型 ID
示例:
"gpt-4"
对话消息列表
Hide child attributes
Hide child attributes
消息角色
可用选项:
system, user, assistant, tool, developer 消息内容
发送者名称
工具调用 ID(用于 tool 角色消息)
推理内容
采样温度
必填范围:
0 <= x <= 2核采样参数
必填范围:
0 <= x <= 1生成数量
必填范围:
x >= 1是否流式响应
停止序列
最大生成 Token 数
最大补全 Token 数
必填范围:
-2 <= x <= 2必填范围:
-2 <= x <= 2可用选项:
none, auto, required 推理强度 (用于支持推理的模型)
可用选项:
low, medium, high 可用选项:
text, audio 响应
成功创建响应
示例:
"chat.completion"
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
消息角色
可用选项:
system, user, assistant, tool, developer 消息内容
发送者名称
工具调用 ID(用于 tool 角色消息)
推理内容
可用选项:
stop, length, tool_calls, content_filter Hide child attributes
Hide child attributes
提示词 Token 数
补全 Token 数
总 Token 数
⌘I
